Bug 168302 - Minor spec file bug
Minor spec file bug
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-14 13:16 EDT by David Smith
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 22:12:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file patch (466 bytes, patch)
2005-09-14 13:17 EDT, David Smith
no flags Details | Diff

  None (edit)
Description David Smith 2005-09-14 13:16:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Red Hat/1.7.10-1.1.3.2

Description of problem:
There is a minor spec file bug in dhcp.spec.  Instead of specifying "cc" directly, the spec file should use "%{__cc}" instead.  Small patch attached.


Version-Release number of selected component (if applicable):
dhcp-3.0.3-6

How reproducible:
Always

Steps to Reproduce:
None.

Additional info:
Comment 1 David Smith 2005-09-14 13:17:42 EDT
Created attachment 118811 [details]
spec file patch
Comment 2 Jason Vas Dias 2005-09-14 14:54:30 EDT
OK, I'll make the change as suggested in the next release.
In the past, some versions of gcc could not compile DHCP at all, which is why
I put in the specific "CC=" setting - these problems are now resolved, so
this setting can be removed.


Comment 3 Jason Vas Dias 2005-09-27 14:34:41 EDT
This bug is fixed with dhcp-3.0.3-7 .
Comment 4 Bill Nottingham 2006-09-21 22:12:21 EDT
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.

Note You need to log in before you can comment on or make changes to this bug.